/** @file
	@author Jukka Jylnki

	This work is copyrighted material and may NOT be used for any kind of commercial or 
	personal advantage and may NOT be copied or redistributed without prior consent
	of the author(s). 
*/
// Shared transformation matrices
shared float4x4 mWorld				:	WORLD;
shared float4x4 mView				:	VIEW;
shared float4x4 mProj				:	PROJ;
shared float4x4 mWorldView			:	WORLDVIEW;
shared float4x4 mViewProj			:	VIEWPROJ;
shared float4x4 mWorldViewProj		:	WORLDVIEWPROJ;

// Material parameters
shared texture tBase;											// base texture
shared float4  cDiffuse				:	COLOR0;
shared float4  cSpecular			:	COLOR1;
shared float4  cAmbient				:	COLOR2;

// Camera and light
shared float3	vCamPos				:	CAMERAP;
shared float3	vLightPos			:	LIGHTP0;
shared float3	vLightCol			:	LIGHTC0;
shared float3	vLightFacing		:	LIGHTF0;

shared texture tShadowMap			:	SHADOWMAP;
shared float4x4 mShadowMapViewProj	:	SHADOWMAPVIEWPROJ;

shared float vLightAttenuation		:	LIGHTATTENUATION;

technique Default
{
	pass P0
	{
	}
}